Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class JavaStylesheet

    java.lang.Object
      |
      +--com.caucho.xsl.AbstractStylesheet
            |
            +--com.caucho.xsl.StylesheetImpl
                  |
                  +--com.caucho.xsl.JavaStylesheet

All Implemented Interfaces:
  CauchoStylesheet, Stylesheet, Templates

public class JavaStylesheet
extends StylesheetImpl

Implementation class for JavaScript stylesheets. It is made public only because generated Java classes need to access these routines.

Field Summary
`protected NamespaceContext[]` | `_namespaces`
`protected XslNumberFormat[]` | `_xsl_formats`
`protected Sort[][]` | `_xsl_sorts`
`protected Expr[]` | `exprs`
`protected Pattern[]` | `patterns`

Fields inherited from class com.caucho.xsl.StylesheetImpl
`defaultDisableEscaping, templates, text`

Fields inherited from class com.caucho.xsl.AbstractStylesheet
`errorPage, output`

Fields inherited from interface com.caucho.xsl.CauchoStylesheet
`CACHE_DEPENDS, DEPENDS, GLOBAL_PARAM`

Constructor Summary
`JavaStylesheet()`

Method Summary
`protected int` | `getTemplateId(java.util.HashMap templates, Node node, Env env, int min, int max)`

Methods inherited from class com.caucho.xsl.StylesheetImpl
`_xsl_init, addFunction, anyNumber, applyNode, applyNode, applyNodeDefault, copy, exprNumber, getGenerateLocation, getNodeValue, getOutputFormat, getProperty, getTemplate, init, mergeTemplates, multiNumber, ownerDocument, printValue, setGenerateLocation, setOutputFormat, setProperty, setSpaces, singleNumber, transform, xslSort`

Methods inherited from class com.caucho.xsl.AbstractStylesheet
`addCacheDepend, addDepend, addDepend, clone, getCacheDepends, getDepends, getOutputProperties, getPath, isModified, newNodeTransformer, newSAXTransformer, newStreamTransformer, newStringTransformer, newTransformer`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### patterns

    protected Pattern[] patterns

### exprs

    protected Expr[] exprs

### _xsl_sorts

    protected Sort[][] _xsl_sorts

### _namespaces

    protected NamespaceContext[] _namespaces

### _xsl_formats

    protected XslNumberFormat[] _xsl_formats

Constructor Detail

### JavaStylesheet

    public JavaStylesheet()

Method Detail

### getTemplateId

    protected int getTemplateId(java.util.HashMap templates,
                                Node node,
                                Env env,
                                int min,
                                int max)
                         throws XPathException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD